{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
         $( document ).ready(function () {
            // {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: '{% url "lab-7:data-friend-list" %}',
                success: function (data) {
                  if (JSON.parse(data).length > 0) {
                    $.each(JSON.parse(data), function(index, value){
                      console.log(value.pk);
                      console.log(value.fields.friend_name);
                      var deleteButton = "<button type='button' class= 'btn pull-right "
                      + "btn-danger btn-xs' onClick='delete1("+value.pk+")'>&times</button>";
                      var detailButton = "<button type='button' class= 'btn pull-right "
                      + "btn-primary btn-xs' onClick='detail1("+value.pk+")' style='margin-right:"
                      + " 15px;'>DETAILS</button>";
                      var html = "<a class='list-group-item clearfix' id='person"+value.pk+"'>"
                      + value.fields.friend_name + deleteButton + detailButton + "</a>";

                      $("div#friend-list").append(html);
                    });
                  }else {
                    var html = "<div class='alert alert-danger text-center'>"
                    + "Tidak ada teman</div>";
                        $("#friend-list").append(html);
                  }
                    // #tampilkan list teman ke halaman
                    // #hint : gunakan fungsi jquery append()
                },
                error: function(error){
                    // #tampilkan pesan error
                    alert("error");
                }
            });
        });
        var delete1 = function(pk){
          console.log(pk);
          window.open("delete1/"+pk+"/", '_self');
        }
        var detail1 = function(pk){
          console.log(pk);
        }
    </script>
{% endblock %}
